#
# spec file for package perl-Crypt-UnixCrypt_XS
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Crypt-UnixCrypt_XS
Version:        0.11
Release:        1.40
%define cpan_name Crypt-UnixCrypt_XS
Summary:        Perl Xs Interface for a Portable Traditional
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Crypt-UnixCrypt_XS/
Source0:        http://www.cpan.org/authors/id/B/BO/BORISZ/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module implements the DES-based Unix _crypt_ function. For those who
need to construct non-standard variants of _crypt_, the various building
blocks used in _crypt_ are also supplied separately.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Dec  2 2016 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Crypt-UnixCrypt_XS/Changes
  0.11	- Alexandr Ciornii provide a patch to fix possible EUMM build problems.
  - Update PPPort.
* Thu Dec 11 2014 ncutler@suse.com
- check license
- take maintainership
